1 Reply Latest reply on Aug 13, 2007 5:50 AM by levancho

    I cannot install Flex Builder 2

    Shan0405
      After I have installed Flex Builder 2, when I run the program, an error shown as below.

      PS. My computer OS is Window Vista home premium.
      Thank you!!

      !SESSION 2007-08-12 03:57:03.420 -----------------------------------------------
      eclipse.buildId=unknown
      java.version=1.4.2_12
      java.vendor=Sun Microsystems Inc.
      BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_HK
      Command-line arguments: -os win32 -ws win32 -arch x86

      !ENTRY org.eclipse.update.configurator 2007-08-12 03:57:04.559
      !MESSAGE Cannot backup current configuration

      !ENTRY org.eclipse.update.configurator 2007-08-12 03:57:04.575
      !MESSAGE Could not rename configuration temp file

      !ENTRY org.eclipse.osgi 2007-08-12 03:57:05.308
      !MESSAGE Application error
      !STACK 1
      java.lang.UnsatisfiedLinkError: no swt-win32-3139 in java.library.path
      at java.lang.ClassLoader.loadLibrary(Unknown Source)
      at java.lang.Runtime.loadLibrary0(Unknown Source)
      at java.lang.System.loadLibrary(Unknown Source)
      at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
      at org.eclipse.swt.internal.win32.OS.<clinit>(OS.java:18)
      at org.eclipse.swt.widgets.Display.<clinit>(Display.java:125)
      at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:381)
      at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:155)
      at com.adobe.flexbuilder.standalone.FlexBuilderApplication.run(FlexBuilderApplication.java:4 5)
      at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:226)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
      at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
      at java.lang.reflect.Method.invoke(Unknown Source)
      at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
      at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
      at org.eclipse.core.launcher.Main.run(Main.java:973)
      at org.eclipse.core.launcher.Main.main(Main.java:948)

      !ENTRY org.eclipse.osgi 2007-08-12 03:57:05.308
      !MESSAGE Bundle update@plugins/com.adobe.flexbuilder.debug.e32_2.0.155577/ [70] was not resolved.
      !SUBENTRY 1 org.eclipse.osgi 2007-08-12 03:57:05.308
      !MESSAGE Missing required bundle org.eclipse.debug.ui_[3.2.0,99.0.0).
      !SESSION 2007-08-12 04:11:12.732 -----------------------------------------------
      eclipse.buildId=unknown
      java.version=1.4.2_12
      java.vendor=Sun Microsystems Inc.
      BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=zh_HK
      Command-line arguments: -os win32 -ws win32 -arch x86

      !ENTRY org.eclipse.update.configurator 2007-08-12 04:11:13.496
      !MESSAGE Cannot backup current configuration

      !ENTRY org.eclipse.update.configurator 2007-08-12 04:11:13.512
      !MESSAGE Could not rename configuration temp file

      !ENTRY org.eclipse.osgi 2007-08-12 04:11:14.58
      !MESSAGE Application error
      !STACK 1
      java.lang.UnsatisfiedLinkError: no swt-win32-3139 in java.library.path
      at java.lang.ClassLoader.loadLibrary(Unknown Source)
      at java.lang.Runtime.loadLibrary0(Unknown Source)
      at java.lang.System.loadLibrary(Unknown Source)
      at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
      at org.eclipse.swt.internal.win32.OS.<clinit>(OS.java:18)
      at org.eclipse.swt.widgets.Display.<clinit>(Display.java:125)
      at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:381)
      at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:155)
      at com.adobe.flexbuilder.standalone.FlexBuilderApplication.run(FlexBuilderApplication.java:4 5)
      at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:226)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
      at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
      at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
      at java.lang.reflect.Method.invoke(Unknown Source)
      at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
      at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
      at org.eclipse.core.launcher.Main.run(Main.java:973)
      at org.eclipse.core.launcher.Main.main(Main.java:948)

      !ENTRY org.eclipse.osgi 2007-08-12 04:11:14.58
      !MESSAGE Bundle update@plugins/com.adobe.flexbuilder.debug.e32_2.0.155577/ [70] was not resolved.
      !SUBENTRY 1 org.eclipse.osgi 2007-08-12 04:11:14.58
      !MESSAGE Missing required bundle org.eclipse.debug.ui_[3.2.0,99.0.0).